Package org.apache.commons.io

# Enum StandardLineSeparator

java.lang.Object
java.lang.Enum<StandardLineSeparator>
org.apache.commons.io.StandardLineSeparator

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardLineSeparator>`

public enum StandardLineSeparator extends Enum<StandardLineSeparator>
Enumerates standard line separators: `CR`, `CRLF`, `LF`.

Since:
  2.9.0

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CR`
  Carriage return.
  `CRLF`
  Carriage return followed by line feed.
  `LF`
  Line feed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getBytes(Charset charset)`
  Gets the bytes for this instance encoded using the given Charset.
  `String`
  `getString()`
  Gets the String value of this instance.
  `static StandardLineSeparator`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StandardLineSeparator[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CR

    public static final StandardLineSeparator CR
    Carriage return. This is the line ending used on macOS 9 and earlier.

  - ### CRLF

    public static final StandardLineSeparator CRLF
    Carriage return followed by line feed. This is the line ending used on Windows.

  - ### LF

    public static final StandardLineSeparator LF
    Line feed. This is the line ending used on Linux and macOS X and later.

- ## Method Details

  - ### values

    public static StandardLineSeparator[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StandardLineSeparator valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getBytes

    public byte[] getBytes(Charset charset)
    Gets the bytes for this instance encoded using the given Charset.
    Parameters:
      `charset` - the encoding Charset.
    Returns:
      the bytes for this instance encoded using the given Charset.

  - ### getString

    public String getString()
    Gets the String value of this instance.
    Returns:
      the String value of this instance.